Bug 101749 - draft items do not have last modified or creation dates
draft items do not have last modified or creation dates
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
Blocks: 110952
  Show dependency treegraph
Reported: 2003-08-06 11:27 EDT by Crag Wolfe
Modified: 2007-04-18 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-13 16:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Crag Wolfe 2003-08-06 11:27:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
In my case, I'm only concerned with draft items for UNDP's content-item backed
document manager.  Currenlty, it looks like creation/modified dates only get set
for published items.

Version-Release number of selected component (if applicable):
latest troika

How reproducible:

Steps to Reproduce:
Need to code to reproduce I think, just call item.getLastModifiedDate() and

Additional info:
Comment 1 Mike Bonnet 2003-12-11 16:42:26 EST
It looks like the root of the problem is that
Versions.getAuditInfo(OID) calls getCreationTxn(), which calls
getTaggedTxns().  Unfortunately, almost no transactions are tagged. 
Only transactions having to do with completing Workflow tasks and
publishing are tagged.  It appears that almost every use of
getTaggedTxns() in Versions (in getMostRecentTxnID(),
getCreationTxn(), and getLastTxn()) should be replaced with getTxns().
Comment 2 Jon Orris 2003-12-12 17:17:19 EST
Putting on Troika 6.0.1 blocker list
Merge 38778 
Comment 3 Archit Shah 2003-12-15 11:21:12 EST
merged to troika (38810)

Note You need to log in before you can comment on or make changes to this bug.